#ifndef COLORS_H
#define COLORS_H

/* arch-tag: f4cdd2d9-4afe-4203-99c1-2c5f181588ce */

#include <X11/Xlib.h>

struct color {
        char *name;
        unsigned long pixel;
        unsigned short red, green, blue;
        struct color *next;
};

struct color * get_alloc_color(Display *disp, Colormap cmap, const char *name);
void realloc_colors(Display *disp, Colormap cmap);
struct color * get_color(const char *name);

#endif
